Awesome Open Source
Awesome Open Source

Sensu Ansible Galaxy Build Status

Join the chat at https://slack.sensu.io/

This role deploys a full Sensu Core stack, a modern, open source monitoring framework.

End of Life

Please note that this role solely deploys Sensu Core which has reached end of life status.

For more details, please checkout https://blog.sensu.io/eol-schedule-for-sensu-core-and-enterprise and https://blog.sensu.io/announcing-the-sensu-archives

If you'd like to migrate to Sensu Go, there are docs availible at https://docs.sensu.io/sensu-core/latest/migration/ and a new officially Ansible Collection supported by XLab available here: https://github.com/sensu/sensu-go-ansible

Features

  • Deploy a full Sensu stack, including RabbitMQ, redis, and the Uchiwa dashboard
  • Full support for Sensu Enterprise
  • Tight integration with the Ansible inventory - deployment of monitoring checks based on inventory grouping
  • Fine grained control over dynamic client configurations
  • Remote plugin deployment
  • Automatic generation and dynamic deployment of SSL certs for secure communication between your clients and servers
  • Highly configurable

Batteries included, but not imposed

Along with deploying the Sensu Server, API and clients, this role can deploy a full stack: RabbitMQ, redis, and the Uchiwa dashboard. However, if you want to rely on other roles/management methods to deploy/manage these services, it's nice and easy to integrate this role.

Documentation Documentation

Read the full documentation for a comprehensive overview of this role and its powerful features.

Requirements

This role requires:

Supported Platforms

Automatically tested via TravisCI

Supported manually (compatibility not always guaranteed)

Role Variables

See Role Variables for a detailed list of the variables this role uses

Example Playbook

  - hosts: all
    roles:
      - role: sensu.sensu

Or, passing parameter values:

  - hosts: sensu_masters
    roles:
      - { role: sensu.sensu, sensu_master: true, sensu_include_dashboard: true  }

Ansible version support

All changes to this role are actively tested against Ansible 2.6 and 2.7 at this time. Ansible 2.5 is required at a minimum.

License

MIT

Author Information

Originally created by Calum MacRae and supported by the Sensu Community Ansible Maintainers

Contributors

See the projects Contributors page

Feel free to: Raise an issue Contribute


Get A Weekly Email With Trending Projects For These Topics
No Spam. Unsubscribe easily at any time.
ruby (12,916
redis (981
ansible (433
rabbitmq (264
ansible-role (56